import java.util.Scanner; 


public class Examen1
{ 
public static void main(String args[]) 
{ 
Scanner teclado = new Scanner(System.in); 

System.out.println ("Tablas de operadores");
System.out.print ("Operador [1=+ 2=- 3=* 4=/ 5=% 0=Salir]: ");
int operador = teclado.nextInt();

boolean correr = true;
if (operador == 0)
{
  correr= true;
}
else if ( operador != 0)
{

System.out.print ("Valor minimo: ");
double minimo = teclado.nextDouble(); 
System.out.println ("Valor maximo");
double maximo = teclado.nextDouble(); 
System.out.print ("Incremento");
double incremento = teclado.nextDouble(); 
while (incremento <= 0)
{
  System.out.print ("Incremento");
incremento = teclado.nextDouble(); 
}


switch (operador)
{
  case 1:
    System.out.print ("+  |");
    for (double i = minimo; i <= maximo; i = i + incremento)
    {
      System.out.print (i + " ");
    }
    System.out.println ();
    for (double x = minimo; x <= maximo; x = x + incremento)
    {
      System.out.print ("-----");
    }
      System.out.println ();
    
    for ( double columna = minimo; columna <= maximo; columna = columna + incremento )   
  {
    System.out.print (columna + "|");
    for ( double fila = minimo; fila <= maximo; fila = fila + incremento ) 
      System.out.print((columna + fila) + " ");
    System.out.println(); 
  }
break;
  case 2:
    System.out.print ("-  |");
    for (double i = minimo; i <= maximo; i = i + incremento)
    {
      System.out.print (i + " ");
    }
    System.out.println ();
    for (double x = minimo; x <= maximo; x = x + incremento)
    {
      System.out.print ("-----");
    }
      System.out.println ();
    
        for ( double columna = minimo; columna <= maximo; columna = columna + incremento )     
  { 
    System.out.print (columna + "|");
    for ( double fila = minimo; fila <= maximo; fila = fila + incremento ) 
      System.out.print((columna - fila) + " ");
    System.out.println(); 
  }
break;
  case 3:
    System.out.print ("*  |");
    for (double i = minimo; i <= maximo; i = i + incremento)
    {
      System.out.print (i + " ");
    }
    System.out.println ();
    for (double x = minimo; x <= maximo; x = x + incremento)
    {
      System.out.print ("-----");
    }
      System.out.println ();
    
        for ( double columna = minimo; columna <= maximo; columna = columna + incremento ) 
  { 
    System.out.print (columna + "|");
    for ( double fila = minimo; fila <= maximo; fila = fila + incremento ) 
      System.out.print( (fila * columna) + " ");
    System.out.println(); 
  }
break;
  case 4:
    System.out.print ("/  |");
    for (double i = minimo; i <= maximo; i = i + incremento)
    {
      System.out.print (i + " ");
    }
    System.out.println ();
    for (double x = minimo; x <= maximo; x = x + incremento)
    {
      System.out.print ("-----");
    }
      System.out.println ();
    
            for ( double columna = minimo; columna <= maximo; columna = columna + incremento ) 
  { 
    System.out.print (columna + "|");
    for ( double fila = minimo; fila <= maximo; fila = fila + incremento ) 
      System.out.print( (columna / fila) + " " );
    System.out.println(); 
  }
break;
  case 5:
    System.out.print ("%  |");
    for (double i = minimo; i <= maximo; i = i + incremento)
    {
      System.out.print (i + " ");
    }
    System.out.println ();
    for (double x = minimo; x <= maximo; x = x + incremento)
    {
      System.out.print ("-----");
    }
      System.out.println ();
    
            for ( double columna = minimo; columna <= maximo; columna = columna + incremento ) 
  { 
    System.out.print (columna + "|");
    for ( double fila = minimo; fila <= maximo; fila = fila + incremento ) 
      System.out.print( columna % fila );
    System.out.println(); 
  }
break;
}
}   



}
}



                     
